Loading...
Searching...
No Matches
Dimension.h File Reference

Defines the Dimension utility class for Halide pipelines. More...

`#include <utility>`
`#include "Func.h"`
`#include "Parameter.h"`

Go to the source code of this file.

## Classes

class | Halide::Internal::Dimension

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Detailed Description

Defines the Dimension utility class for Halide pipelines.

Definition in file Dimension.h.